GisViewerAppGenericResourcePropertyReader (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis.property

## Class GisViewerAppGenericResourcePropertyReader

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.property.GisViewerAppGenericResourcePropertyReader

-     public class GisViewerAppGenericResourcePropertyReader
      extends Object

  The Class GisViewerAppGenericResourcePropertyReader.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 13, 2016

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `APP_ID`
    `protected static String` | `GENERIC_RESOURCE_GCUBE_APPS_PROPERTIES`
    `protected static String` | `SECONDARY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisViewerAppGenericResourcePropertyReader()` Instantiates a new gis viewer app generic resource property reader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppId()` Gets the app id.
    `String` | `getGenericResource()` Gets the generic resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERIC_RESOURCE_GCUBE_APPS_PROPERTIES

          protected static final String GENERIC_RESOURCE_GCUBE_APPS_PROPERTIES

      See Also:
        Constant Field Values

    - #### SECONDARY_TYPE

          protected static final String SECONDARY_TYPE

      See Also:
        Constant Field Values

    - #### APP_ID

          protected static final String APP_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GisViewerAppGenericResourcePropertyReader

          public GisViewerAppGenericResourcePropertyReader()
                                                    throws PropertyFileNotFoundException

      Instantiates a new gis viewer app generic resource property reader.
      Throws:
        `PropertyFileNotFoundException` - the property file not found exception

  - ### Method Detail

    - #### getAppId

          public String getAppId()

      Gets the app id.
      Returns:
        the app id

    - #### getGenericResource

          public String getGenericResource()

      Gets the generic resource.
      Returns:
        the generic resource

Copyright © 2016. All Rights Reserved.